Bug 39466 - Internal compiler error in find_function_data, at function.c:326
Internal compiler error in find_function_data, at function.c:326
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-07 16:21 EDT by V Lakshman
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-01 10:32:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gcc internal compiler error. (605.75 KB, text/plain)
2001-05-07 16:23 EDT, V Lakshman
no flags Details

  None (edit)
Description V Lakshman 2001-05-07 16:21:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
I get an internal compiler error when compiling file (I recompiled with
--save-temps and have attached the result).
I am using gcc-2.96-84.

How reproducible:
Always

Steps to Reproduce:
--save-temps result attached.

Actual Results:  gcc crashed

Expected Results:  gcc should compile file.
The file compiles okay with 2.95 as well as with 3.0

Additional info:
Comment 1 V Lakshman 2001-05-07 16:23:52 EDT
Created attachment 17588 [details]
gcc internal compiler error.
Comment 2 Jakub Jelinek 2001-06-01 10:32:01 EDT
This was fixed with http://gcc.gnu.org/ml/gcc-patches/2000-08/msg01377.html
in CVS gcc, this patch will be in gcc-c++-2.96-86.

Note You need to log in before you can comment on or make changes to this bug.